Package com.databricks.jdbc.telemetry

## Class TelemetryClientFactory

- java.lang.Object
- - com.databricks.jdbc.telemetry.TelemetryClientFactory

    public class TelemetryClientFactory
    extends Object

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `closeTelemetryClient​(IDatabricksConnectionContext connectionContext)` Closes telemetry client for a connection.
`static TelemetryClientFactory` `getInstance()`
`ScheduledExecutorService` `getSharedSchedulerService()`
`ITelemetryClient` `getTelemetryClient​(IDatabricksConnectionContext connectionContext)`
`ExecutorService` `getTelemetryExecutorService()`
`void` `reset()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getInstance

    public static TelemetryClientFactory getInstance()

#### getTelemetryClient

    public ITelemetryClient getTelemetryClient​(IDatabricksConnectionContext connectionContext)

#### closeTelemetryClient

    public void closeTelemetryClient​(IDatabricksConnectionContext connectionContext)

Closes telemetry client for a connection. Thread-safe: computeIfPresent ensures atomic locking, preventing race conditions between connection removal and addition.

#### getTelemetryExecutorService

    public ExecutorService getTelemetryExecutorService()

#### getSharedSchedulerService

    public ScheduledExecutorService getSharedSchedulerService()

#### reset

    public void reset()